Results 1 to 4 of 4

Thread: Upgrade to KDE 4.2.2 problems

  1. #1
    mu88ay NNTP User

    Default Upgrade to KDE 4.2.2 problems

    I just upgraded to the 'factory' version of openSUSE KDE 4.2.2, to improve the operation of KDE 4. (starting from an openSUSE 11.1 install)

    The actual KDE version I used is:4.2.69.svn949727-1.3.x86_64 (Yes I know it is 'unstable')

    I upgraded everything that had 'kde4' on the front. (I did this in yast using 'factory' as a repository)

    This has improved a number of things no end, but kmail, while working better in a number of areas, crashes when I try to 'send' email. It simply vanishes from the screen when I click send, or queue it for sending.

    It will restart happily, but usually not with the email you have just edited. Everything else seems to work.

    I have two questions:
    1) Should I have upgraded some other component that didn't have 'kde4' as a prefix, to make the email work?
    (There were no dependencies for this in yast.)

    OR

    2) Is this a bug for this version and should I report it? (Being not sure if its being in 'factory' others on top of it)

    Thanks for any help you can provide.

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Upgrade to KDE 4.2.2 problems

    You used the unstable repo as opposed to just Factory which would give you stable 4.2.2 rather than the unstable development version of 4.3

    I would advise
    Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1

    Index of /repositories/KDE:/KDE4:/Factory:/Extra-Apps/openSUSE_11.1

    Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE4_Factory_Desktop

    remove the other repo's add these and do update all unconditionally in all three
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    mu88ay NNTP User

    Default Re: Upgrade to KDE 4.2.2 problems

    Thanks this worked, but it was a lot of pain.

    Yast didn't recognize about half the packages had another version. So it left KDE unworkable. I had to do it manually using iceWM/xterm/zypper, and individual delete and reinstall packages.

    Thanks again as I am working now YAH!

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Upgrade to KDE 4.2.2 problems

    You probably need to change the priority of your repo's and have Updates at 99, the same as the factory ones.
    oss and non-oss should be 120
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •